## sentry 2.1.0+cdh6.3.0

=== debian/changelog ===
sentry (2.1.0+cdh6.3.0-1279813.meta1) stable; urgency=medium

  * Packaging for MetaCentrum.

 -- František Dvořák <valtri@civ.zcu.cz>  Wed, 28 Aug 2019 10:28:37 +0200

sentry (2.1.0+cdh6.3.0-1279813) cloudera; urgency=medium

  * Please see git repos.

 -- MAINTAINER <jenkins@cldrn-ub1604-ec2-c5d-18xlarge-spotblk-0483.vpc.cloudera.com>  Thu, 18 Jul 2019 10:23:29 -0700

=== debian/rules ===
#!/usr/bin/make -f
export COMPONENT_HASH=a694ed5b64908eaccfcea065dca99ee1ea0c8eb8
 SENTRY_VERSION=2.1.0+cdh6.3.0
 SENTRY_PATCHED_VERSION=2.1.0-cdh6.3.0
 SENTRY_BASE_VERSION=2.1.0
 SENTRY_RELEASE=1279813
 CDH_CUSTOMER_PATCH=p0
 CDH_PARCEL_CUSTOM_VERSION=2.1.0+cdh6.3.0-1279813.bionic
#
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

%:
	dh $@

svcs=sentry-store

$(svcs): debian/init.d.tmpl
	bash $< debian/$@.svc deb debian/$@.init
	touch $@

override_dh_auto_build:
	# Work-around to stop the RAT plugin from
	# failing on the debian/ subdirectory
	rm -rf bigtop-empty
	mkdir -p bigtop-empty
	env FULL_VERSION=$(SENTRY_PATCHED_VERSION) \
	  bash debian/do-component-build -Drat.basedir=`pwd`/bigtop-empty

override_dh_auto_install: $(svcs)
	env FULL_VERSION=$(SENTRY_PATCHED_VERSION) \
	  bash -x debian/install_sentry.sh \
	  --build-dir=${PWD} \
	  --prefix=debian/tmp \
	  --extra-dir=debian

	bash debian/generate_install_file.sh \
	   --install-file-name=sentry.install \
	   --path-to-scan=debian/tmp/usr/lib/sentry/ \
	   --exclude-files="sentry-hdfs-plugin.install" \
	   --include-file=sentry.install.include \
	   --prefix=debian/tmp

override_dh_builddeb:
	dh_builddeb -- -Zgzip

override_dh_strip_nondeterminism:
	# Disable dh_strip_nondeterminism to speed up the build

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## sentry arroyo-2.32.3

=== requirements.txt ===
# It seems 2.10.0 is problematic for the kip 848 tests.
# It needs some time to be fixed.
confluent-kafka>=2.7.0,<2.10.0

## sentry 2.1.0+cdh6.3.2

=== debian/changelog ===
sentry (2.1.0+cdh6.3.2-1605554) cloudera; urgency=medium

  * Please see git repos.

 -- MAINTAINER <jenkins@cldrn-ub1604-ec2-c5d-18xlarge-spotblk-10a0.vpc.cloudera.com>  Fri, 08 Nov 2019 06:13:44 -0800

=== debian/control ===
# Licensed to the Apache Software Foundation (ASF) under one or more
# contributor license agreements.  See the NOTICE file distributed with
# this work for additional information regarding copyright ownership.
# The ASF licenses this file to You under the Apache License, Version 2.0
# (the "License"); you may not use this file except in compliance with
# the License.  You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

Source: sentry
Section: misc
Priority: extra
Maintainer: Cloudera Inc. <https://issues.cloudera.org>
Build-Depends: debhelper (>= 7)
Standards-Version: 3.8.0
Homepage: http://sentry.incubator.apache.org/

Package: sentry
Architecture: all
Depends: hadoop-hdfs, hadoop-mapreduce, zookeeper, hive-jdbc (>= 1.1.0+cdh5.4.0), hive (>= 1.1.0+cdh5.4.0), hadoop-client (>= 2.6.0+cdh5.4.0), solr (>= 4.10.3+cdh5.5.0)
Description: A system for enforcing fine grained role based authorization to data and metadata stored on a Hadoop cluster.

Package: sentry-store
Architecture: all
Depends: sentry (= ${source:Version}), adduser
Description: Sentry Server
 Server for Sentry

Package: sentry-hdfs-plugin
Architecture: all
Depends: sentry (= ${source:Version}), hadoop-hdfs
Description: Sentry HDFS plugin

=== debian/rules ===
--- 
+++ 
@@ -1,11 +1,11 @@
 #!/usr/bin/make -f
-export COMPONENT_HASH=a694ed5b64908eaccfcea065dca99ee1ea0c8eb8
- SENTRY_VERSION=2.1.0+cdh6.3.0
- SENTRY_PATCHED_VERSION=2.1.0-cdh6.3.0
+export COMPONENT_HASH=1725d62ace5cee4bbbb648cd6fce75b8ab7ed015
+ SENTRY_VERSION=2.1.0+cdh6.3.2
+ SENTRY_PATCHED_VERSION=2.1.0-cdh6.3.2
  SENTRY_BASE_VERSION=2.1.0
- SENTRY_RELEASE=1279813
+ SENTRY_RELEASE=1605554
  CDH_CUSTOMER_PATCH=p0
- CDH_PARCEL_CUSTOM_VERSION=2.1.0+cdh6.3.0-1279813.bionic
+ CDH_PARCEL_CUSTOM_VERSION=2.1.0+cdh6.3.2-1605554.bionic
 #
 # Licensed to the Apache Software Foundation (ASF) under one or more
 # contributor license agreements.  See the NOTICE file distributed with

## sentry relay-0.9.20

=== Makefile ===
SHELL=/bin/bash
export RELAY_FEATURES :=
RELAY_CARGO_ARGS ?= ${CARGO_ARGS}

all: check test ## run all checks and tests
.PHONY: all

check: style lint ## run the lints and check the code style for rust and python code
.PHONY: check

clean: ## remove python virtual environment and delete cached rust files together with target folder
	cargo clean
	rm -rf .venv
.PHONY: clean

# Builds

build: setup-git ## build relay with all features enabled without debug info
	cargo +stable build --all-features ${RELAY_CARGO_ARGS}
.PHONY: build

release: setup-git ## build production binary of the relay with debug info
	@cd relay && cargo +stable build --release $(if ${RELAY_FEATURES}, --features ${RELAY_FEATURES}) ${RELAY_CARGO_ARGS}
.PHONY: release

build-linux-release: setup-git ## build linux release of the relay
	cd relay && cargo build --release $(if ${RELAY_FEATURES}, --features ${RELAY_FEATURES}) ${RELAY_CARGO_ARGS}
	objcopy --only-keep-debug target/${TARGET}/release/relay{,.debug}
	objcopy --strip-debug --strip-unneeded target/${TARGET}/release/relay
	objcopy --add-gnu-debuglink target/${TARGET}/release/relay{.debug,}
.PHONY: build-linux-release

collect-source-bundle: setup-git ## copy the built relay binary to current folder and collects debug bundles
	mv target/${TARGET}/release/relay ./relay-bin
	zip relay-debug.zip target/${TARGET}/release/relay.debug
	sentry-cli --version
	sentry-cli difutil bundle-sources target/${TARGET}/release/relay.debug
	mv target/${TARGET}/release/relay.src.zip ./relay.src.zip
.PHONY: collect-source-bundle

build-release-with-bundles: build-linux-release collect-source-bundle
.PHONY: build-relase-with-bundles

sdist: setup-git setup-venv ## create a sdist of the Python library
	cd py && ../.venv/bin/python setup.py sdist
.PHONY: sdist

wheel: setup-git setup-venv ## build a wheel of the Python library
	cd py && ../.venv/bin/python setup.py bdist_wheel
.PHONY: wheel

wheel-manylinux: setup-git ## build manylinux 2014 compatible wheels. This will build docker image for the requested architecture and cross compile the code inside
	@scripts/docker-manylinux.sh
.PHONY: wheel-manylinux

# Tests

test: test-rust-all test-python test-integration ## run all unit and integration tests
.PHONY: test

test-rust: setup-git ## run tests for Rust code with default features enabled
	cargo test --workspace ${RELAY_CARGO_ARGS}
.PHONY: test-rust

test-rust-all: setup-git ## run tests for Rust code with all the features enabled
	cargo test --workspace --all-features ${RELAY_CARGO_ARGS}
.PHONY: test-rust-all

test-python: setup-git setup-venv ## run tests for Python code
	.venv/bin/pytest -v py
.PHONY: test-python

PYTEST_N ?= auto
test-integration: build setup-venv ## run integration tests
	.venv/bin/pytest tests -n $(PYTEST_N) -v
.PHONY: test-integration

# Documentation

doc: doc-rust ## generate all API docs
.PHONY: doc

doc-rust: setup-git ## generate API docs for Rust code
	cargo doc --workspace --all-features --no-deps ${RELAY_CARGO_ARGS}
.PHONY: doc-rust

# Style checking

style: style-rust ## check code style
.PHONY: style

style-rust: ## check Rust code style
	@rustup component add rustfmt --toolchain stable 2> /dev/null
	cargo +stable fmt --all -- --check
.PHONY: style-rust

# Linting

lint: lint-rust lint-python ## run lint on Python and Rust code
.PHONY: lint

lint-rust: setup-git ## run lint on Rust code using clippy
	@rustup component add clippy --toolchain stable 2> /dev/null
	cargo +stable clippy --workspace --all-targets --all-features --no-deps -- -D warnings
.PHONY: lint-rust

lint-python: ## run lint on Python code using flake8
	.venv/bin/pre-commit run flake8 -a
	.venv/bin/pre-commit run mypy -a
.PHONY: lint-python

lint-rust-beta: setup-git ## run lint on Rust using clippy and beta toolchain
	@rustup toolchain install beta 2>/dev/null
	@rustup component add clippy --toolchain beta 2> /dev/null
	cargo +beta clippy --workspace --all-targets --all-features --no-deps -- -D warnings
.PHONY: lint-rust-beta

# Formatting

format: format-rust format-python ## format all the Rust and Python code
.PHONY: format

format-rust: ## format the Rust code
	@rustup component add rustfmt --toolchain stable 2> /dev/null
	cargo +stable fmt --all
.PHONY: format-rust

format-python: ## format the Python code
	.venv/bin/pre-commit run black -a
.PHONY: format-python

# Development

setup: setup-git setup-venv ## run setup tasks to create and configure development environment
.PHONY: setup

init-submodules:
	@git submodule update --init --recursive
.PHONY: init-submodules

setup-git: init-submodules ## make sure all git configured and all the submodules are fetched
.PHONY: setup-git

setup-venv: uv.lock ## create a Python virtual environment with development requirements installed
	devenv sync
	RELAY_DEBUG=1 uv pip install -v -e py
.PHONY: setup-venv

clean-target-dir:
	if [ "$$(du -s target/ | cut -f 1)" -gt 4000000 ]; then \
		rm -rf target/; \
	fi
.PHONY: clean-target-dir

help: ## this help
	@ awk 'BEGIN {FS = ":.*##"; printf "Usage: make \033[36m<target>\033[0m\n\nTargets:\n"} /^[a-zA-Z_-]+:.*?##/ { printf "  \033[36m%-10s\033[0m\t%s\n", $$1, $$2 }' $(MAKEFILE_LIST) | column -s$$'\t' -t
.PHONY: help

gocd: ## Build GoCD pipelines
	@ rm -rf ./gocd/generated-pipelines
	@ mkdir -p ./gocd/generated-pipelines
	@ cd ./gocd/templates && jb install && jb update
	@ find . -type f \( -name '*.libsonnet' -o -name '*.jsonnet' \) -print0 | xargs -n 1 -0 jsonnetfmt -i
	@ find . -type f \( -name '*.libsonnet' -o -name '*.jsonnet' \) -print0 | xargs -n 1 -0 jsonnet-lint -J ./gocd/templates/vendor
	@ cd ./gocd/templates && jsonnet --ext-code output-files=true -J vendor -m ../generated-pipelines ./pops.jsonnet
	@ cd ./gocd/templates && jsonnet --ext-code output-files=true -J vendor -m ../generated-pipelines ./processing.jsonnet
	@ cd ./gocd/generated-pipelines && find . -type f \( -name '*.yaml' \) -print0 | xargs -n 1 -0 yq -p json -o yaml -i
.PHONY: gocd
